#
# spec file for package python-httpretty
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-httpretty
Version:        0.8.14
Release:        28.1
Summary:        HTTP client mocking tool for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/gabrielfalcao/HTTPretty
Source:         https://files.pythonhosted.org/packages/source/h/httpretty/httpretty-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This library allows mocking of HTTP protocol based
unit tests.
It is similar to Ruby's FakeWeb.

%prep
%setup -q -n httpretty-%{version}

%build
%python_build

# crazy deps still
%if 0
%check
%python_exec setup.py test
%endif

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc COPYING README.rst
%{python_sitelib}/httpretty
%{python_sitelib}/httpretty*egg-info

%changelog
* Sat Aug 26 2017 jengelh@inai.de
- Fix spello in description. Move summary extent to description.
* Tue Aug 15 2017 daniel.molkentin@suse.com
- Update to 0.8.14
- Converted to singlespec
- Remove legacy macros
- Ran spec-cleaner
* Sun Mar 13 2016 dmueller@suse.com
- add copying
* Wed Apr 22 2015 mcihar@suse.cz
- Update to 0.8.8:
  * many changes
* Wed Jul 23 2014 mcihar@suse.cz
- Upgrate to 0.8.3:
  * various minor fixes
* Mon Feb 17 2014 speilicke@suse.com
- Drop old tarball
* Mon Feb 17 2014 dmueller@suse.com
- update to 0.8.0:
  * This new version brings Python 3 support, leaner requirements
- remove deps-cleanup.diff
* Fri Jan 17 2014 speilicke@suse.com
- Update to version 0.7.1:
  + Bug fix: POST requests being called twice #100
- Rebased deps-cleanup.diff
* Mon Oct 28 2013 speilicke@suse.com
- Don't install global "tests" module into python_sitelib
* Mon Oct 21 2013 dmueller@suse.com
- update to 0.7.0:
  * Refactored core.py and increased its unit test coverage to 80%%.
  HTTPretty is slightly more robust now
* Thu Sep 26 2013 dmueller@suse.com
- update to 0.6.4:
  * Add a way to match the querystrings
* Mon Sep  2 2013 dmueller@suse.com
- Initial package (0.6.3)
